<!DOCTYPE html>
  <head>
    <meta charset="utf-8" />
    <title>WebSocket Wallet Account</title>
    <style>
      h1 {color: blue;}
    </style>
  </head>
  <body>
    <h1>Wallet for account <%= id %></h1>
    <p><b>Live feed of account balances</b></p>
    <div id="output"></div>

    <script language="javascript" type="text/javascript">
     var loc = window.location, new_uri;
     if (loc.protocol === "https:") {
       new_uri = "wss:";
     } else {
       new_uri = "ws:";
     }
     new_uri += "//" + loc.host;
     new_uri += loc.pathname + "/ws";
     var wsUri = new_uri;
     var output;
     var websocket;
     function init() {
       output = document.getElementById("output");
       testWebSocket();
     }
     function testWebSocket() {
       websocket = new WebSocket(wsUri);
       websocket.onopen = function(evt) { onOpen(evt) };
       websocket.onclose = function(evt) { onClose(evt) };
       websocket.onmessage = function(evt) { onMessage(evt) };
       websocket.onerror = function(evt) { onError(evt) };
     }
     function onOpen(evt) {
       writeToScreen("CONNECTED");
     }
     function onClose(evt) {
       writeToScreen("DISCONNECTED");
     }
     function onMessage(evt) {
       account = JSON.parse(evt.data)
       writeToScreen('<span style="color: blue;">BALANCE: ' + account.balance +'</span>');
     }
     function onError(evt) {
       writeToScreen('<span style="color: red;">ERROR:</span> ' + evt.data);
     }
     function doSend(message) {
       writeToScreen("SENT: " + message);
       websocket.send(message);
     }
     function writeToScreen(message) {
       var pre = document.createElement("p");
       pre.style.wordWrap = "break-word";
       pre.innerHTML = message;
       output.appendChild(pre);
     }
     window.addEventListener("load", init, false);
    </script>
  </body>
</html>
